@media screen and (max-width: 1920px) {
    :root {
        --ft46: 48px;
    }
    .index-logo {
        display: block;
        width: 200px;
    }
    .index-box2divNRimg2 {
        height: 980px;
    }
}
@media screen and (max-width: 1800px) {
    :root {
        --ft24: 20px;
        --ft29: 18px;
        --ft24: 18px;
    }
    .index-box2divNR,.index-box2divdiv {
        min-height: 600px;
    }
    .index-logo {
        display: block;
        width: 160px;
    }
    .index-box2divNRimg2 {
        height: 900px;
    }
}
@media screen and (max-width: 1600px) {
    :root {
        --ft23: 20px;
        --ft24: 16px;
        --ft29: 18px;
        --ft24: 18px;
        --ft46: 40px;
        --p70: 50px;
    }
    .index-logo {
        display: block;
        width: 140px;
    }
    .index-box2divNR,.index-box2divdiv {
        min-height: 500px;
    }
    .index-box2divNRimg2 {
        height: 875px;
    }
}
@media screen and (max-width: 1440px) {
    :root {
        --ft18: 14px;
        --ft23: 18px;
        --ft24: 14px;
        --ft29: 16px;
        --ft46: 32px;
        --p30: 20px;
        --p50: 30px;
        --p70: 30px;
    }
    .solution-div:hover .solution-div2 a {
        width: 40%;
    }
    .index-logo {
        display: block;
        width: 120px;
    }
    .index-box2divNR,.index-box2divdiv {
        min-height: 500px;
    }
    .product-erjidivNR {
        display: grid;
        grid-template-columns: repeat(6, 1fr);
    }
    ul.custom-list::before {
    content: "";
    position: absolute;
    left: 4px;
    top: 18px;
    bottom: 10px;
    width: 2px;
    height: 90%;
    background-color: #6678b8;
}
.index-box2divNRimg2 {
        height: 850px;
    }
    .ditureddiv {
        padding: 30px 20px;
    }
}
@media screen and (max-width: 1280px) {
    :root {
        --ft21: 16px;
        --ft16: 14px;
        --ft18: 16px;
        --ft23: 14px;
        --ft24: 8px;
        --ft29: 16px;
        --p35: 20px;
        --p20: 15px;
        --p40: 20px;
        --p52: 25px;
        --p106: 60px;
    }
    .banner-div.divinbody {
        width: 85%;
    }
    .index-logo {
        display: block;
        width: 120px;
    }
    .index-box2divNR,.index-box2divdiv {
        min-height: 500px;
    }
    .nav-ul {
        padding-top: 20px;
    }
    .product-erjidivNRdiv img {
        width: 40%;
    }
    .index-box3btn {
        width: 180px;
    }
    .footer-logo {
        width: 200px;
    }
    
    .erweima-img {
        width: 120px;
    }
    .guanyu-LunBodivdiv .sp1 {
        min-width: 50px;
    }
    .guanyu-LunBodivNR {
        /*background-color: rgba(235,235,235,0.7);*/
    }
    .solution-div:hover .solution-div2 a {
        width: 45%;
    }
    .index-box2divNRimg2 {
        height: 900px;
    }
} 
@media screen and (max-width: 1180px) {
    .banner-div.divinbody {
        width: 90%;
    }
}
@media screen and (max-width: 1024px) {
    :root {
        --p52: 25px;
        --ft16: 10px;
        --ft18: 14px;
        --ft21: 14px;
        --ft24: 8px;
        --ft45: 35px;
        --p20: 10px;
        --p40: 20px;
    }
    .footer-logo {
        width: 150px;
    }
    .index-logo {
        display: block;
        width: 100px;
    }
    .banner-div.divinbody {
        width: 90%;
    }
    .product-erjidivNRdiv img {
        width: 40%;
    }
    .index-box2divNR,.index-box2divdiv {
        min-height: 450px;
    }
    .erweima-img {
        width: 100px;
    }
    .footer-erweimadiv img {
        width: 30px;
    }
    .index-box3btn {
        width: 150px;
    }
    .product-erjidivNR {
        display: grid;
        grid-template-columns: repeat(4, 1fr);
    }
        ul.custom-list::before {
        content: "";
        position: absolute;
        left: 5px;
        top: 14px;
        bottom: 10px;
        width: 2px;
        height: 90%;
        background-color: #6678b8;
    }
    .index-box2divNRimg2 {
        height: 800px;
    }
    .ditureddiv {
        padding: 30px 20px;
    }
    
}
@media screen and (max-width: 900px) {
    :root {
        --wh17: 10px;  
        --wh50: 30px;  
        --wh150: 90px;  
        --wh120: 72px;  
        --ft14: 10px;  
        --ft16: 12px;  
        --ft18: 14px;  
        --ft21: 12px;  
        --ft23: 16px;  
        --ft25: 18px;  
        --ft29: 12px;  
        --ft30: 18px;  
        --ft31: 22px;  
        --ft32: 23px;  
        --ft38: 26px;  
        --ft42: 29px;  
        --ft45: 31px;  
        --ft48: 33px;  
        --ft50: 35px;  
        --ft51: 36px;  
        --ft52: 30px;  
        --ft63: 35px;  
        --ft91: 62px;  
        --p6: 2px;  
        --p10: 6px;  
        --p16: 10px;  
        --p20: 12px;  
        --p21: 13px;  
        --p25: 15px;  
        --p28: 17px;  
        --p30: 19px;  
        --p35: 22px;  
        --p40: 25px;  
        --p50: 30px;  
        --p52: 32px;  
        --p55: 34px;  
        --p60: 36px;  
        --p75: 45px;  
        --p80: 48px;  
        --p86: 52px;  
        --p88: 53px;  
        --p90: 30px;  
        --p97: 58px;  
        --p100: 60px;  
        --p106: 64px;  
        --p108: 65px;  
        --p120: 72px;  
        --p127: 76px;  
        --p140: 84px;  
        --p160: 96px;  
        --p246: 147px;  
    }  
    .nav-ul {
        padding-top: 0px;
    }
.zhinengNR-div1NR {
    width: 90%;}
.zhinengNR-div1 img {
    display: block;
    width: 50%;
}
    .index-box2divNR,.index-box2divdiv {
        min-height: 400px;
    }
    .gengduo {
		display: block;
		width: 20px;
		height: 20px;
		cursor: pointer;
		z-index: 1000;
		align-self: center;
	}

	.nav-ul.active {
		display: flex;
	}

	.nav-ul {
		width: 100%;
		height: auto;
		display: none;
		flex-direction: column;
		gap: var(--p20);
		position: absolute;
		top: 100%;
		left: 0;
		text-align: center;
		background-color: #000;
		z-index: 999;
		overflow-y: auto;
	}
	.guanyu-box1divNR,.contact-div2NR,.footer-div,.footer-div2,.zhineng-div1 ul,
	.zhinengNR-div1,.zhinengNR-div4NR,.dian:hover .dian_tu {
	    display: flex;
	    flex-direction: column;
	}
	.contact-div1NR,
	.product-erjidivNR,
	.product-tuijianNR,.index-newbox,.zhinengNR-div2NR,.soltionNR-div1,
	.soltionNR-div2NR,.soltionNR-div3NR,.soltionNR-div4NR,.zhinengNR-div5NRdiv,.ditureddiv {
        display: grid;
        grid-template-columns: repeat(1, 1fr);
        gap: var(--p40);
    }
    .dituredNR-div1 {
        border-right: 0px solid rgba(223, 57, 60);
    }
    .index-box2div,.product-box,.zhineng-content.zhinengbactive,.new-box {
        display: grid;
        grid-template-columns: repeat(2, 1fr)
    }
    .index-box3btn {
        width: 130px;
        margin-top: var(--p60);
    }
    .erweima-img {
        display: block;
        width: 22%;
        margin: 0 auto;
    }
.swiper-slide img {
  display: block;
  width: 100%;
}
    .footer-erweimadiv {
        width: 30%;
        margin: 0 auto;
    }
    .footer-div {
        text-align: center;
    }
    .footer-div2 {
        gap: var(--p30);
    }
    .footer-erweimadiv img {
        width: 35px;
    }
    .beian {
        margin: 0 auto;
        width: 80%;
        text-align: center;
    }
    .footer-logo {
        width: 200px;
        margin: 0 auto;
        margin-bottom: var(--p35);
    }
        .nav-ul li:hover .erji {
        width: 100%;
    }
.footer-div1NR {
margin: 0 auto;}
    .yuyan {
        margin: 0 auto;
    }
.index-box3div .guanyu-box1divNRspan {
    margin-bottom: var(--p80);
    padding-bottom: 100px;
}
    .banner-navdiv {
        position: absolute;
        left: 0;
        top: var(--p10);
    }
    .banner-spandiv .sp1 {
         margin-bottom: 0; 
    }
    .product-erji {
        position: fixed;
        left: 0;
        right: 0;
        top: 108px;
        width: 100%;
        display: none;
        padding-top: var(--p20);
        padding-bottom: var(--p40);
        background-color: rgba(247, 247, 247);
    }
    .zhineng-div1 ul {
        text-align: center;
    }
    
    
    .swiper-container-wrapper {
        flex-direction: column;
        height: auto;
        gap: 10px;
    }
    .gallery-top {
        width: 100%;
        height: 300px;
    }
    .gallery-thumbs {
        width: 100%;
        height: 80px;
        padding: 0;
    }
    .gallery-thumbs .swiper-wrapper {
        flex-direction: row !important;
        box-sizing: border-box;
    }
    .gallery-thumbs .swiper-slide {
        width: 25% !important;
        height: 100%;
        opacity: 0.4;
        margin-right: 10px;
    }
    .gallery-thumbs .swiper-slide-thumb-active {
        opacity: 1;
    }
    .gallery-thumbs img {
        width: 100%;
        height: 100%;
        /*object-fit: cover;*/
    }
    .swiper-slide-visible {
        height: 77px!important;
    }
    .index-shichang-div1NR {
        margin: 0 15px;
    }
    .index-shichang-div1 .xian {
      width: 55px;
    }
    ul.custom-list::before {
        content: "";
        position: absolute;
        left: 5px;
        top: 14px;
        bottom: 10px;
        width: 2px;
        height: 90%;
        background-color: #6678b8;
    }
    .zhinengNR-div2NRdiv img {
        margin: 0 auto;
    }
    .zhinengNR-div2NRdiv span {
        text-align: center;
    }
    .zhinengNR-div2NRdiv {
        width: 80%;
        margin: 0 auto;
    }
    .index-box2divNR,.index-box2divdiv {
        min-height: 530px;
    }
    .active .nav-a {
    padding-bottom: var(--p20);
    border-bottom: 0px solid #FFF;
}
.nav-ul li {
    padding-bottom: var(--p20);
    padding-top: var(--p20);
}
.footer-div2NR ul {
    display: none;
}
.index-box2divBottom {
        border-top: 1px solid #FFF;
    }
    .index-box2divNRimg2 {
        height: 1300px;
    }
    .ditureddiv {
        padding: 30px 20px;
    }
    
    
    
    .zhineng-div1 ul li {
        padding-bottom: 0; 
    }
    .zhinengactive {
        color: rgba(44, 59, 130);
        border: 3px solid #2C3B82;
    }
    .zhineng-div1 ul {
        text-align: center;
        display: flex;
        flex-direction: column;
        gap: var(--p20);
        margin-bottom: var(--p20);
    }
    .product2-div-img {
        display: block;
        width: 40%;
        margin: 0 auto;
    }
    .guanyu-box1divNRspan {
    width: 90%;
}
    
    
    
    
    
    
    
    
}
@media screen and (max-width: 480px) {
    :root {
        --wh120: 50px;
        --ft32: 20px;
        --wh17: 7px;  
        --wh50: 22px;  
        --wh150: 66px;  
        --wh120: 53px;  
        --ft14: 8px;  
        --ft16: 10px;  
        --ft18: 10px;  
        --ft21: 13px;  
        --ft23: 12px;  
        --ft25: 15px;  
        --ft29: 12px;  
        --ft30: 14px;  
        --ft31: 19px;  
        --ft38: 23px;  
        --ft42: 26px;  
        --ft45: 20px;  
        --ft46: 20px;
        --ft48: 30px;  
        --ft50: 32px;  
        --ft51: 24px;  
        --ft52: 20px;  
        --ft63: 24px;  
        --ft91: 57px;  
        --p6: 1px;  
        --p10: 4px;  
        --p16: 5px;  
        --p20: 9px;  
        --p21: 10px;  
        --p25: 12px;  
        --p28: 14px;  
        --p30: 10px;  
        --p35: 19px;  
        --p40: 21px;  
        --p50: 22px;  
        --p52: 24px;  
        --p55: 26px;  
        --p60: 28px;  
        --p75: 35px;  
        --p80: 37px;  
        --p86: 40px;  
        --p88: 41px;  
        --p90: 10px;  
        --p97: 46px;  
        --p100: 37px;  
        --p106: 30px;  
        --p108: 51px;  
        --p127: 57px;  
        --p140: 63px;  
        --p160: 42px;  
        --p246: 108px;  
    }  
    .index-logo {
        width: 100px;
    }
    .index-box3divNR {
        width: 90%;
        margin: 0 auto;
    }
    .mianbaoxie {
        position: absolute;
        left: 0;
        bottom: var(--p10);
    }
     .banner-spanbox {
        position: absolute;
        left: 0;
        top: 55%;
        transform: translateY(-50%);
        width: 100%;
    }
    .swiper-slide-visible {
        height: 56px!important;
    }
    ul.custom-list::before {
    content: "";
    position: absolute;
    left: 7px;
    top: 12px;
    bottom: 10px;
    width: 2px;
    height: 92%;
    background-color: #6678b8;
}
.dian_tu {width: 150px;}
.index-box2divNR,.index-box2divdiv {
    min-height: 230px;
}
.dian img {
    width: 10px;
}
.index-box2divNRimg {
    width: 35%;
}
.product-box,.zhineng-content.zhinengbactive,.new-box {
        display: grid;
        grid-template-columns: repeat(1, 1fr)
    }
    .index-box2div {
         display: grid;
        grid-template-columns: repeat(2, 1fr)
    }
.index-box3 {
    /* 基础背景属性 */
    background-repeat: no-repeat;
    /* 核心：等比缩放，完整显示整张图，容器留白 */
    background-size: contain;
    /* 图片居中 */
    background-position: center center;
    /* 防止小屏图片贴顶贴边 */
    padding: 20px 0;
    /* 给容器最小高度，避免背景图看不见 */
    min-height: 300px;
}
    .footer-erweimadiv img {
        width: 25px;
    }
    .footer-logo {
        width: 150px;
    }
    .product-tuijianNRdiv img {
        width: 65%;
    }
    .index-box2 {
        /*padding-top: 30px;*/
        /*padding-bottom: 30px;*/
    }
    .index-box2divNRimg2 {
        height: 610px;
    }
    .index-box2divdiv:hover .index-box2divNRimg1 {
        width: 48px;
        display: block;
    }
    .index-box2DingWei {
        position: absolute;
        left: 0;
        top: 30px;
        width: 100%;
        height: 100%;
    }
        .index-box2divBottom {
        border-top: 1px solid #333;
    }
    .dituredNR-div1 {
        width: 90%;
        display: flex;
        flex-direction: column;
        gap: 20px;
        text-align: left;
    }
    .dituredNR-div1div1 {
        width: 100%;
    }
    .dituredNR-div2 {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: 20px;
}
.dituredNR-div1div2,.dituredNR-div1div1,.dituredNR-div2div {
    width: 100%;
    margin-right: auto;
}
}